function love.load()
	timer = 0
	screen = {
		width = love.graphics.getWidth(),
		height = love.graphics.getHeight(),
		update = function(self, new_width, new_height)
			self.width = new_width
			self.height = new_height
		end
	}
	circle = {
		x = 0,
		y = 0,
		radius = 50,
		update = function(self, dt)
			self.x = screen.width/2 + (screen.width/2-self.radius) * math.cos(timer * math.pi)
			self.y = screen.height/2 + (screen.height/2-self.radius) * math.sin(timer * math.pi)
		end,
		draw = function(self)
			love.graphics.circle("fill",self.x,self.y,self.radius,_)
		end
	}
end

function love.update(dt)
	timer = timer + dt
	circle:update(dt)
end

function love.draw()
	circle:draw()
	
	love.graphics.print("FPS: "..love.timer.getFPS(),0,0)
end

function love.resize(width, height)
	screen:update(width, height)
end